﻿/* for non dynamic - move any dynamic into the layout file */

.uk-nav-default > li > a {
    color: #666;
}

em {
    color: inherit;
}


.uk-accordion-title::before {
    display: none !important;
}

.uk-accordion-title::after {
    content: "";
    display: inline-block;
    width: 0.8em;
    height: 0.8em;
    margin-left: 12px;
    margin-bottom: 0.1em;
    background-color: currentColor; /* arrow color */
    mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 100 100'%3E%3Cpolygon points='50,80 10,20 90,20'/%3E%3C/svg%3E");
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    transition: transform 0.3s ease;
    vertical-align: middle; /* Perfect vertical alignment */
    transform-origin: center; /* Smooth rotation from center */
}

.uk-open > .uk-accordion-title::after {
    transform: rotate(180deg);
}



div.login {
    background-image: url('https://picsum.photos/640/700/?image=1044');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

@media screen and (min-width: 640px) {
    div.login {
        background-image: url('https://picsum.photos/960/700/?image=1044');
    }
}

@media screen and (min-width: 960px) {
    div.login {
        background-image: url('https://picsum.photos/1200/900/?image=1044');
    }
}

@media screen and (min-width: 1200px) {
    div.login {
        background-image: url('https://picsum.photos/1600/950/?image=1044');
    }
}

@media screen and (min-width: 1600px) {
    div.login {
        background-image: url('https://picsum.photos/2000/1050/?image=1044');
    }
}





/* -----------------------------
Switch */


.uk-switch {
    position: relative;
    display: inline-block;
    height: 28px;
    width: 50px;
}

    /* Hide default HTML checkbox */
    .uk-switch input {
        opacity:0;
    }
/* Slider */
.uk-switch-slider {
    background-color: rgba(0,0,0,0.22);
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    border-radius: 500px;
    bottom: 0;
    cursor: pointer;
    transition-property: background-color;
    transition-duration: .2s;
    box-shadow: inset 0 0 2px rgba(0,0,0,0.07);
}
    /* Switch pointer */
    .uk-switch-slider:before {
        content: '';
        background-color: #fff;
        position: absolute;
        width: 24px;
        height: 24px;
        left: 2px;
        bottom: 2px;
        border-radius: 50%;
        transition-property: transform, box-shadow;
        transition-duration: .2s;
    }
/* Slider active color */
input:checked + .uk-switch-slider {
    background-color: #39f !important;
}
    /* Pointer active animation */
    input:checked + .uk-switch-slider:before {
        transform: translateX(22px);
    }

/* Modifiers */
.uk-switch-slider.uk-switch-on-off {
    background-color: #f0506e;
}

input:checked + .uk-switch-slider.uk-switch-on-off {
    background-color: #32d296 !important;
}

/* Style Modifier */
.uk-switch-slider.uk-switch-big:before {
    transform: scale(1.2);
    box-shadow: 0 0 6px rgba(0,0,0,0.22);
}

.uk-switch-slider.uk-switch-small:before {
    box-shadow: 0 0 6px rgba(0,0,0,0.22);
}

input:checked + .uk-switch-slider.uk-switch-big:before {
    transform: translateX(32px) scale(1.2);
}

/* Inverse Modifier - affects only default */
.uk-light .uk-switch-slider:not(.uk-switch-on-off) {
    background-color: rgba(255,255,255,0.22);
}


::placeholder{
    opacity:0.25;
}

@media screen and (max-width: 900px) {
    .av-table-responsive {
        border: 0;
    }

    table.av-table-responsive thead {
        display: none;
    }

    table.av-table-responsive tr {
        display: block;
        margin-bottom: 2em;
    }

    table.av-table-responsive td {
        border-bottom: 1px solid #ddd;
        display: block;
        text-align: right;
        padding: 6px 6px;
        min-height: calc(1em + 6px);
    }


    table.av-table-responsive td::before {
        content: attr(data-label);
        float: left;
        font-weight: bold;
        text-transform: uppercase;
    }

    table.av-table-responsive td:last-child {
        border-bottom: 0;
    }

    table.av-table-responsive td:empty {
        display: none;
    }

    td.av-table-responsive-hide {
        display: none !important;
    }
}


/*  CIRCLE COLORS CSS*/
.color-picker {
    background-image: url(/img/checkedsmall.png);
    margin-top: 5px;
    margin-bottom: 5px;
    border: 1px solid lightgray;
    border-radius: 5px;
}

    .color-picker > div {
        width: 40px;
        display: inline-block;
        height: 40px;
        margin: 5px;
        border-radius: 100%;
        border: 1px solid darkgray;
    }

.picker-wrapper {
    padding: 20px;
}

.color-picker > div:hover {
    border: 1px solid blue;
}



.cookie-banner {
    position: fixed;
    bottom: 10px;
    left: 10px;
    right: 10px;
    z-index: 9999;
}

.close {
    height: 20px;
    background-color: #777;
    border: none;
    color: white;
    border-radius: 2px;
    cursor: pointer;
}

.uk-tab > * > a {
    border-bottom: 3px solid transparent;
}

/*.uk-tab > .uk-active > a {
    font-size: larger;
    font-weight: bolder;
}*/

.uk-tab-bottom > * > a {
    border-top: 3px solid transparent;
    border-bottom: none;
}



.StripeElement {
    box-sizing: border-box;
    height: 40px;
    padding: 10px 12px;
    border: 1px solid lightgray;
    border-radius: 0px;
    background-color: white;
    box-shadow: 0 0px 0px 0 #e6ebf1;
    -webkit-transition: box-shadow 150ms ease;
    transition: box-shadow 150ms ease;
}


input::placeholder{
    opacity:1;
    color:silver;
}